Subject: linux-next: manual merge of the tip tree with the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 18 Oct 2019 13:31:39 +1100

Hi all,

Today's linux-next merge of the tip tree got a conflict in:

  samples/bpf/Makefile

between commit:

  1d97c6c2511f ("samples/bpf: Base target programs rules on Makefile.target")

from the net-next tree and commit:

  fce9501aec6b ("samples/bpf: fix build by setting HAVE_ATTR_TEST to zero")

from the tip tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc samples/bpf/Makefile
index 4df11ddb9c75,42b571cde177..000000000000
--- a/samples/bpf/Makefile
+++ b/samples/bpf/Makefile
@@@ -168,38 -171,21 +168,39 @@@ always += ibumad_kern.
  always += hbm_out_kern.o
  always += hbm_edt_kern.o
  
 -KBUILD_HOSTCFLAGS += -I$(objtree)/usr/include
 -KBUILD_HOSTCFLAGS += -I$(srctree)/tools/lib/bpf/
 -KBUILD_HOSTCFLAGS += -I$(srctree)/tools/testing/selftests/bpf/
 -KBUILD_HOSTCFLAGS += -I$(srctree)/tools/lib/ -I$(srctree)/tools/include
 -KBUILD_HOSTCFLAGS += -I$(srctree)/tools/perf
 -KBUILD_HOSTCFLAGS += -DHAVE_ATTR_TEST=0
 +ifeq ($(ARCH), arm)
 +# Strip all except -D__LINUX_ARM_ARCH__ option needed to handle linux
 +# headers when arm instruction set identification is requested.
 +ARM_ARCH_SELECTOR := $(filter -D__LINUX_ARM_ARCH__%, $(KBUILD_CFLAGS))
 +BPF_EXTRA_CFLAGS := $(ARM_ARCH_SELECTOR)
 +TPROGS_CFLAGS += $(ARM_ARCH_SELECTOR)
 +endif
 +
 +TPROGS_CFLAGS += -Wall -O2
 +TPROGS_CFLAGS += -Wmissing-prototypes
 +TPROGS_CFLAGS += -Wstrict-prototypes
 +
 +TPROGS_CFLAGS += -I$(objtree)/usr/include
 +TPROGS_CFLAGS += -I$(srctree)/tools/lib/bpf/
 +TPROGS_CFLAGS += -I$(srctree)/tools/testing/selftests/bpf/
 +TPROGS_CFLAGS += -I$(srctree)/tools/lib/
 +TPROGS_CFLAGS += -I$(srctree)/tools/include
 +TPROGS_CFLAGS += -I$(srctree)/tools/perf
++TPROGS_CFLAGS += -DHAVE_ATTR_TEST=0
  
 -HOSTCFLAGS_bpf_load.o += -I$(objtree)/usr/include -Wno-unused-variable
 +ifdef SYSROOT
 +TPROGS_CFLAGS += --sysroot=$(SYSROOT)
 +TPROGS_LDFLAGS := -L$(SYSROOT)/usr/lib
 +endif
 +
 +TPROGCFLAGS_bpf_load.o += -Wno-unused-variable
  
 -KBUILD_HOSTLDLIBS		+= $(LIBBPF) -lelf
 -HOSTLDLIBS_tracex4		+= -lrt
 -HOSTLDLIBS_trace_output	+= -lrt
 -HOSTLDLIBS_map_perf_test	+= -lrt
 -HOSTLDLIBS_test_overhead	+= -lrt
 -HOSTLDLIBS_xdpsock		+= -pthread
 +TPROGS_LDLIBS			+= $(LIBBPF) -lelf
 +TPROGLDLIBS_tracex4		+= -lrt
 +TPROGLDLIBS_trace_output	+= -lrt
 +TPROGLDLIBS_map_perf_test	+= -lrt
 +TPROGLDLIBS_test_overhead	+= -lrt
 +TPROGLDLIBS_xdpsock		+= -pthread
  
  # Allows pointing LLC/CLANG to a LLVM backend with bpf support, redefine on cmdline:
  #  make samples/bpf/ LLC=~/git/llvm/build/bin/llc CLANG=~/git/llvm/build/bin/clang